Video Edit: create an edit task from video + reference images + instruction
curl --request POST \
--url https://api.apiyi.com/wan/api/v1/services/aigc/video-generation/video-synthesis \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-DashScope-Async: <x-dashscope-async>' \
--data '
{
"model": "happyhorse-1.0-video-edit",
"input": {
"prompt": "Replace the clothes of the girl in the video with the clothes in the image",
"media": [
{
"type": "video",
"url": "https://your-cdn.com/source.mp4"
},
{
"type": "reference_image",
"url": "https://your-cdn.com/new-clothes.png"
}
]
}
}
'import requests
url = "https://api.apiyi.com/wan/api/v1/services/aigc/video-generation/video-synthesis"
payload = {
"model": "happyhorse-1.0-video-edit",
"input": {
"prompt": "Replace the clothes of the girl in the video with the clothes in the image",
"media": [
{
"type": "video",
"url": "https://your-cdn.com/source.mp4"
},
{
"type": "reference_image",
"url": "https://your-cdn.com/new-clothes.png"
}
]
}
}
headers = {
"X-DashScope-Async": "<x-dashscope-async>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-DashScope-Async': '<x-dashscope-async>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
model: 'happyhorse-1.0-video-edit',
input: {
prompt: 'Replace the clothes of the girl in the video with the clothes in the image',
media: [
{type: 'video', url: 'https://your-cdn.com/source.mp4'},
{type: 'reference_image', url: 'https://your-cdn.com/new-clothes.png'}
]
}
})
};
fetch('https://api.apiyi.com/wan/api/v1/services/aigc/video-generation/video-synthesis', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"output": {
"task_id": "hh-...",
"task_status": "PENDING"
},
"request_id": "..."
}HappyHorse動画生成(Alibaba Cloud)
HappyHorse 動画編集 API リファレンス
HappyHorse-1.0-video-edit の動画編集 API リファレンスとオンラインデバッグ: 入力動画 + 最大 5 枚の参照画像 + ローカル/グローバル編集向けの自然言語指示。
POST
/
wan
/
api
/
v1
/
services
/
aigc
/
video-generation
/
video-synthesis
Video Edit: create an edit task from video + reference images + instruction
右側の Playground で直接デバッグできます: Authorization に
Bearer sk-your-api-key を入力し、model / input.media / parameters を設定してからリクエストを送信してください。正常に送信されると task_id が返ります。ポーリングとダウンロードについては下記を参照してください。このページでは
happyhorse-1.0-video-edit(Video Edit)の作成エンドポイントを説明します。動画 1 本 + 最大 5 枚の参照画像 + 自然言語の指示を指定して、動画要素をローカル/グローバルに編集できます。モデル名にはハイフンがあることに注意してください(video-edit)。完全な非同期フローについては、HappyHorse の概要 を参照してください。input.mediaには、video(編集対象の動画)と少なくとも 1 枚のreference_image(最大 5 枚)の両方を含める必要があります。- モデル名は
happyhorse-1.0-video-edit(ハイフンあり)で、Wan のwan2.7-videoedit(ハイフンなし)とは異なります。間違えないでください。 - 作成リクエストは
/wan/api/v1/...にX-DashScope-Async: enableで送信します。/v1/videosを使用しないでください。
コード例
curl -X POST "https://api.apiyi.com/wan/api/v1/services/aigc/video-generation/video-synthesis" \
-H "X-DashScope-Async: enable" \
-H "Authorization: Bearer sk-your-api-key" \
-H "Content-Type: application/json" \
-d '{
"model": "happyhorse-1.0-video-edit",
"input": {
"prompt": "Replace the clothes of the girl in the video with the clothes in the image",
"media": [
{"type": "video", "url": "https://your-cdn.com/source.mp4"},
{"type": "reference_image", "url": "https://your-cdn.com/new-clothes.png"}
]
},
"parameters": {"resolution": "720P", "prompt_extend": true, "watermark": true}
}'
import requests
url = "https://api.apiyi.com/wan/api/v1/services/aigc/video-generation/video-synthesis"
headers = {
"Authorization": "Bearer sk-your-api-key",
"Content-Type": "application/json",
"X-DashScope-Async": "enable",
}
body = {
"model": "happyhorse-1.0-video-edit",
"input": {
"prompt": "Replace the clothes of the girl in the video with the clothes in the image",
"media": [
{"type": "video", "url": "https://your-cdn.com/source.mp4"},
{"type": "reference_image", "url": "https://your-cdn.com/new-clothes.png"},
],
},
"parameters": {"resolution": "720P", "prompt_extend": True, "watermark": True},
}
resp = requests.post(url, json=body, headers=headers, timeout=30)
print("task_id:", resp.json()["output"]["task_id"])
パラメータとメディアのクイックリファレンス
| パラメータ | 型 | 必須 | デフォルト | 注記 |
|---|---|---|---|---|
model | string | ✓ | — | happyhorse-1.0-video-edit に固定 |
input.prompt | string | ✓ | — | 自然言語による編集指示 |
input.media | array | ✓ | — | 下のメディア表を参照してください |
parameters.resolution | string | 720P | 720P / 1080P | |
parameters.prompt_extend | bool | true | スマートな書き換え | |
parameters.watermark | bool | false | 「AI Generated」ウォーターマーク |
media[] の値
type | 必須 | 個数 | 注記 |
|---|---|---|---|
video | ✓ | 1 | 編集対象の元動画 |
reference_image | ✓ | 1–5 | 参照素材(新しい服、新しい背景など) |
動画編集の出力時間は入力動画に従い、
duration によって決まりません。そのため、この機能では通常 duration を渡しません。レスポンス形式
{
"output": { "task_id": "...", "task_status": "PENDING" },
"request_id": "..."
}
送信後、
GET /v1/tasks/{task_id}をポーリングしてcompletedまで待ち、その後、result_urlから mp4 をダウンロードしてください(Authorization ヘッダーなしで、24時間で期限切れです)。完全なポーリングループは HappyHorse の概要 · 非同期呼び出しフロー を参照してください。承認
The API Key obtained from the APIYI Console
ヘッダー
Async processing switch, must be set to enable
利用可能なオプション:
enable ボディ
application/json
このページは役に立ちましたか?
⌘I